package de.dhbwloe.campusapp.fragments;


import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import de.dhbwloe.campusapp.CampusAppFragment;
import de.dhbwloe.campusapp.R;
import de.dhbwloe.campusapp.search.SearchIndices;

/**
 * A simple {@link Fragment} subclass.
 */
public class Impressum extends CampusAppFragment {
    /* implement this for search results ;) */
    public static SearchIndices[] GetSearchIndices() {
        return new SearchIndices[] {
                new SearchIndices("Impressum", true) {{
                    setUpdateTime(1);
                    setTarget("#Impressum");
                    setTitle(R.string.search_impressum_title);
                    setDescription(R.string.search_impressum_description);
                    addKeyWord(R.string.search_impressum_keywords);
                }},
        };
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_impressum, container, false);
        AppContext.setTitle(AppContext.getResString(R.string.impressum_title));

        TextView urlView = (TextView) view.findViewById(R.id.sourceUrl);
        urlView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Bundle args = new Bundle();
                args.putString("url", "http://dev.pk910.de/DHBWCampusApp");
                AppContext.getNavigationManager().navigatePage("WebBrowser", args, false);
            }
        });

        return view;
    }
}
